Bug 823458 - Review Request: erlang-erlsha2 - SHA-224, SHA-256, SHA-384, SHA-512 implemented in Erlang NIFs
Review Request: erlang-erlsha2 - SHA-224, SHA-256, SHA-384, SHA-512 implement...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks: 848423
  Show dependency treegraph
 
Reported: 2012-05-21 06:13 EDT by Peter Lemenkov
Modified: 2013-11-21 11:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 11:29:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2012-05-21 06:13:52 EDT
Spec URL: http://peter.fedorapeople.org/erlang-erlsha2.spec
SRPM URL: http://peter.fedorapeople.org/erlang-erlsha2-2.0-0.1.20120330git51b8c5e.fc18.src.rpm
Description: SHA-224, SHA-256, SHA-384, SHA-512 implemented in Erlang NIFs.
Fedora Account System Username: peter

rpmlint:
sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-erlsha2-* ../SRPMS/erlang-erlsha2-2.0-0.1.20120330git51b8c5e.fc18.src.rpm
erlang-erlsha2.ppc: E: explicit-lib-dependency erlang-stdlib

^^^ false positive triggered by word "stdlib".

erlang-erlsha2.src: W: invalid-url Source0: vinoski-erlsha2-51b8c5e.tar.gz

^^^ blame GitHub for that!

3 packages and 0 specfiles checked; 1 errors, 1 warnings.
sulaco ~/rpmbuild/SPECS: 

koji scratchbuild for F-18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4091072

This is one of the requirements for erlang-rtplib and for some other erlang apps.
Comment 1 Peter Lemenkov 2012-09-26 13:37:20 EDT
This package is slowly merging into base Erlang distribution (since R15B02) so perhaps it's better to withdraw it. I will reconsider it soon. Do NOT start review, please.
Comment 2 Peter Lemenkov 2013-11-21 11:29:31 EST
This functionality was merged into Erlang since R16B. Thus I'm going to close this.

Note You need to log in before you can comment on or make changes to this bug.